Loading...
Searching...
No Matches
websocketpp::http::exception Class Reference

An exception type specific to HTTP errors. More...

`#include <constants.hpp>`

Inheritance diagram for websocketpp::http::exception:

## Public Member Functions

| exception (const std::string &log_msg, status_code::value error_code, const std::string &error_msg=std::string(), const std::string &body=std::string())
virtual const char * | what () const throw ()

## Public Attributes

std::string | m_msg
std::string | m_error_msg
std::string | m_body
status_code::value | m_error_code

## Detailed Description

An exception type specific to HTTP errors.

Includes additional details, such as HTTP error code, HTTP error message, and a body to return with the HTTP error response.

Definition at line 300 of file constants.hpp.

## Constructor & Destructor Documentation

## exception()

websocketpp::http::exception::exception | ( | const std::string & | log_msg,
|  | status_code::value | error_code,
|  | const std::string & | error_msg = std::string(),
|  | const std::string & | body = std::string() )

inline

Definition at line 302 of file constants.hpp.

## ~exception()

websocketpp::http::exception::~exception | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 311 of file constants.hpp.

## Member Function Documentation

## what()

virtual const char * websocketpp::http::exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 313 of file constants.hpp.

## Member Data Documentation

## m_body

std::string websocketpp::http::exception::m_body

Definition at line 319 of file constants.hpp.

## m_error_code

status_code::value websocketpp::http::exception::m_error_code

Definition at line 320 of file constants.hpp.

## m_error_msg

std::string websocketpp::http::exception::m_error_msg

Definition at line 318 of file constants.hpp.

## m_msg

std::string websocketpp::http::exception::m_msg

Definition at line 317 of file constants.hpp.

The documentation for this class was generated from the following file:

- websocketpp/http/constants.hpp